/* common.h - common utility routines */

/* Written 1993 by Werner Almesberger */


#include <stdlib.h>
#include <stdarg.h>
#include <stdio.h>
#include <string.h>
#include <sys/types.h>

#include "common.h"


void die(const char *msg,...)
{
    va_list args;

    va_start(args,msg);
    vfprintf(stderr,msg,args);
    va_end(args);
    fprintf(stderr,"\n");
    exit(1);
}


void *alloc(size_t size)
{
    void *this;

    if (this = malloc(size)) return this;
    die("alloc: Out of memory");
    return NULL; /* not reached */
}


char *stralloc(const char *str)
{
    char *this;

    if (this = strdup(str)) return this;
    die("stralloc: Out of memory");
    return NULL; /* not reached */
}


int number_length(int number)
{
    int length;

    if (!number) return 1;
    for (length = number < 0; number; length++) number /= 10;
    return length;
}
