/* common.h - common utility routines */

/* Written 1993 by Werner Almesberger */


#ifndef COMMON_H_
#define COMMON_H

#include <sys/types.h>


void die(const char *msg,...);

/* Display an error message (printf-style) and terminate the program. */

void *alloc(size_t size);

/* Allocate SIZE bytes of memory. Die if no memory is available. */

char *stralloc(const char *str);

/* Like strdup() but dies if it can't allocate memory. */

int number_length(int number);

/* Returns the number of digits needed to express the specified number. */

#endif
